petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscIsCloseAtTol

Returns whether the two floating point numbers are close at given relative and absolute tolerances.

### Synopsis

    PetscBool PetscIsCloseAtTol(PetscReal a,PetscReal b,PetscReal rtol,PetscReal atol)

### Input Parameter

| a | - first floating point number
| b | - second floating point number
| rtol | - relative tolerance
| atol | - absolute tolerances

Notes: https://www.python.org/dev/peps/pep-0485/

### Level

beginner

### Location

src/sys/utils/mathclose.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages